camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Karlsen <davidkarl...@gmail.com>
Subject Re: Karaf 2.2.3 and Camel 2.8.0
Date Sat, 03 Sep 2011 01:12:54 GMT
2.9.0 could maybe aim for Spring 3.1 if it's out soon enough?

2011/9/3 Freeman Fang <freeman.fang@gmail.com>

> Hi,
>
> Per the discussion on this forum before, camel 2.8.1 won't upgrade to
> spring 3.0.6(as it's a minor version fix release and need backward
> compatible), but camel 2.9.0 definitely will use new spring version.
>
> Freeman
> On 2011-9-3, at 上午4:50, mgardiner wrote:
>
>  I have recently tried using Karaf 2.2.3 which has just updated to use
>> Spring
>> 3.0.6.RELEASE and we are now getting conflicts in camel-jms 2.8.0 because
>> two versions of spring are available.  With a new camel release underway
>> are
>> you considering upgrading camel to spring 3.0.6.RELEASE?
>>
>> Thanks.
>>
>> Here's the output
>>
>> Error executing command: Could not start bundle
>> mvn:org.apache.camel/camel-**jms/2.8.0 in feature(s) camel-jms-2.8.0:
>> Unable
>> to resolve module org.apache.camel.camel-jms [88.0] because it is exposed
>> to
>> package 'org.springframework.util' from org.springframework.core [82.0]
>> and
>> org.springframework.core [43.0] via two dependency chains.
>>
>> Chain 1:
>>  org.apache.camel.camel-jms [88.0]
>>   import:
>> (&(package=org.**springframework.util)(version>**
>> =3.0.0)(!(version>=4.0.0)))
>>    |
>>   export: package=org.springframework.**util
>>  org.springframework.core [82.0]
>>
>> Chain 2:
>>  org.apache.camel.camel-jms [88.0]
>>   import:
>> (&(package=org.apache.camel.**impl)(version>=2.8.0)(!(**version>=2.9.0)))
>>    |
>>   export: package=org.apache.camel.impl;
>> uses:=org.springframework.jmx.**export.annotation
>>  org.apache.camel.camel-core [80.0]
>>   import:
>> (&(package=org.**springframework.jmx.export.**
>> annotation)(version>=3.0.0)(!(**version>=4.0.0)))
>>    |
>>   export: package=org.springframework.**jmx.export.annotation;
>> uses:=org.springframework.aop.**target
>>  org.springframework.context [48.0]
>>   import:
>> (&(package=org.**springframework.aop.target)(**
>> version>=3.0.6)(!(version>=3.**0.7)))
>>    |
>>   export: package=org.springframework.**aop.target;
>> uses:=org.springframework.core
>>  org.springframework.aop [47.0]
>>   import:
>> (&(package=org.**springframework.core)(version>**
>> =3.0.6)(!(version>=3.0.7)))
>>    |
>>   export: package=org.springframework.**core;
>> uses:=org.springframework.util
>>   export: package=org.springframework.**util
>>  org.springframework.core [43.0]
>>
>>
>>
>>
>> --
>> View this message in context: http://camel.465427.n5.nabble.**
>> com/Karaf-2-2-3-and-Camel-2-8-**0-tp4763828p4763828.html<http://camel.465427.n5.nabble.com/Karaf-2-2-3-and-Camel-2-8-0-tp4763828p4763828.html>
>> Sent from the Camel - Users mailing list archive at Nabble.com.
>>
>
> ------------------------------**---------------
> Freeman Fang
>
> FuseSource
> Email:ffang@fusesource.com
> Web: fusesource.com
> Twitter: freemanfang
> Blog: http://freemanfang.blogspot.**com <http://freemanfang.blogspot.com>
>
>
>
>
>
>
>
>
>
>


-- 
--
David J. M. Karlsen - http://www.linkedin.com/in/davidkarlsen

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message